# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

%global __python %{__python3}

Name:           transmageddon
Version:        1.5
Release:        15%{?dist}
Summary:        Video transcoder

License:        LGPLv2+
URL:            http://www.linuxrising.org/
Source0:        http://www.linuxrising.org/files/transmageddon-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  python3-devel
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base
Requires:       gstreamer1-plugins-good
Requires:       libnotify
Requires:       python3-gobject
Requires:       python(abi) = %{python3_version}
Requires:       xdg-user-dirs-gtk

%description
Transmageddon supports almost any format as its input and can generate a very
large host of output files. The goal of the application was to help people to
create the files they need to be able to play on their mobile devices and for
people not hugely experienced with multimedia to generate a multimedia file
without having to resort to command line tools with ungainly syntaxes.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/transmageddon.desktop

%find_lang transmageddon

%files -f transmageddon.lang
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/transmageddon
%{_datadir}/appdata/transmageddon.appdata.xml
%{_datadir}/applications/transmageddon.desktop
%{_mandir}/man1/transmageddon.1*
%{_datadir}/icons/hicolor/*/apps/transmageddon.png
%{_datadir}/transmageddon/


%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5-10
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Kalev Lember <klember@redhat.com> - 1.5-4
- Fix the build with Python 3
- Use license macro for COPYING

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 04 2014 Christian F.K. Schaller <uraeus@linuxrising.org> -1.5-1
- Update to v.1.5 Mostly contains some important bugfixes

* Fri Jul 04 2014 Kalev Lember <kalevlember@gmail.com> - 1.3-1
- Update to 1.3
- Ship the appdata file

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Apr 14 2014 Kalev Lember <kalevlember@gmail.com> - 1.1-1
- Update to 1.1
- Include new hicolor theme icons and add required rpm scriptlets

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct  7 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.25-3
- Rebuild against latest gstreamer.

* Sat Oct 06 2012 Kalev Lember <kalevlember@gmail.com> - 0.25-2
- More python3 updates

* Fri Oct 05 2012 Christian Schaller <christian.schaller@gmail.com> 0.25-1
- Update spec file for move to Python3

* Mon Sep 24 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.23-2
- Rebuild against gst-1.0.0

* Sun Sep 16 2012 Christian Schaller <christian.schaller@gmail.com> - 0.23
- Update spec file for new GTK3/GStreamer 1.0 based Transmageddon
- Add dependency of python-notify

* Fri Jul 20 2012 Kalev Lember <kalevlember@gmail.com> - 0.21-2
- Remove bundled which.py and use system python-which instead (#840239)

* Fri Jul 13 2012 Kalev Lember <kalevlember@gmail.com> - 0.21-1
- Initial build
